%define rel 7
%define libpgf_major 6
%define libpgf %mklibname pgf %{libpgf_major}
%define libpgf_devel %mklibname pgf -d

Name:           libpgf
Version:        6.12.24
Release:        %mkrel %{rel}
Summary:        PGF (Progressive Graphics File) library
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.libpgf.org
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Patch1:		libpgf-6.12.24-automake-1.13.patch
BuildRequires:  doxygen
BuildRequires:  libtool

%description
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

#------------------------------------------------------------------------------

%package -n %{libpgf}
Summary:  PGF (Progressive Graphics File) library
Group:   System/Libraries

%description -n %{libpgf}
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the runtime library.

%files -n %{libpgf}
%{_libdir}/libpgf.so.%{libpgf_major}{,.*}

#------------------------------------------------------------------------------

%package doc
Summary: Documentation for %{name}
BuildArch: noarch

%description doc
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the html documentation.

%files doc
%doc COPYING README NEWS AUTHORS
%doc %{_docdir}/%{name}
%{_mandir}/man3/*

#------------------------------------------------------------------------------

%package -n %{libpgf_devel}  
Summary:        Headers for %{name}
Requires:       %{libpgf} = %{version}-%{release}
Recommends:       %{name}-doc
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libpgf_devel}  
libPGF contains an implementation of the Progressive Graphics File (PGF)
which is a new image file format, that is based on a discrete, fast
wavelet transform with progressive coding features. PGF can be used
for lossless and lossy compression.

This package provides the header files needed to build packages against %{name}.


%files -n %{libpgf_devel} 
%{_includedir}/%{name}
%{_libdir}/libpgf.so
%{_libdir}/pkgconfig/libpgf.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%autopatch -p1

%build
sh autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std
mv %{buildroot}/%{_docdir}/%name-%version %{buildroot}/%{_docdir}/%name
# Remove .la files
find %{buildroot} -name '*.la' -delete


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 6.12.24-7.mga6
+ Revision: 942598
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.12.24-6.mga5
+ Revision: 750331
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.12.24-5.mga5
+ Revision: 681708
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 6.12.24-4.mga4
+ Revision: 507293
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 6.12.24-3.mga3
+ Revision: 357965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 6.12.24-2.mga3
+ Revision: 341435
- patch1: fix build with automake 1.13

* Thu Nov 15 2012 fwang <fwang> 6.12.24-1.mga3
+ Revision: 318083
- update libmajor
- new version 6.12.24

* Sat Nov 12 2011 mikala <mikala> 6.11.42-1.mga2
+ Revision: 166978
- imported package libpgf

